## rust-insta 1.3.0

=== Makefile ===
all: test

build:
	@cargo build --all-features

doc:
	@cargo doc --all-features

test: cargotest cargo-insta-tests

cargo-insta-tests:
	@echo "CARGO-INSTA INTEGRATION TESTS"
	@cd cargo-insta/integration-tests; cargo run

cargotest:
	@echo "CARGO TESTS"
	@rustup component add rustfmt 2> /dev/null
	@cargo test
	@cargo test --all-features
	@cargo test --no-default-features
	@cargo test --features redactions,backtrace -- --test-threads 1
	@cd cargo-insta; cargo test

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy

update-readme:
	@cargo readme | perl -pe 's/\[`(.*?)`]/`$$1`/g' | perl -pe 's/\[(.*?)\](?![(])/$$1/g' > README.md
	@cd cargo-insta; cargo readme > README.md

.PHONY: all doc test cargotest format format-check lint update-readme

=== debian/changelog ===
rust-insta (1.3.0-1) unstable; urgency=medium

  * Package insta 1.3.0 from crates.io using debcargo 2.4.3

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 03 Sep 2021 10:42:04 +0200

=== debian/control ===
Source: rust-insta
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-backtrace-0.3+default-dev (>= 0.3.42-~~) <!nocheck>,
 librust-console-0.13+default-dev <!nocheck>,
 librust-csv-1+default-dev (>= 1.1.3-~~) <!nocheck>,
 librust-difference-2+default-dev <!nocheck>,
 librust-globwalk-0.8+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
 librust-pest-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-pest-derive-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-ron-0.6+default-dev (>= 0.6.2-~~) <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.85-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.85-~~) <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.36-~~) <!nocheck>,
 librust-serde-yaml-0.8+default-dev <!nocheck>,
 librust-toml-0.5+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/insta]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/insta
Homepage: https://github.com/mitsuhiko/insta
Rules-Requires-Root: no

Package: librust-insta-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-backtrace-0.3+default-dev (>= 0.3.42-~~),
 librust-console-0.13+default-dev,
 librust-csv-1+default-dev (>= 1.1.3-~~),
 librust-difference-2+default-dev,
 librust-globwalk-0.8+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-pest-2+default-dev (>= 2.1.0-~~),
 librust-pest-derive-2+default-dev (>= 2.1.0-~~),
 librust-ron-0.6+default-dev (>= 0.6.2-~~),
 librust-serde-1+default-dev (>= 1.0.85-~~),
 librust-serde-1+derive-dev (>= 1.0.85-~~),
 librust-serde-json-1+default-dev (>= 1.0.36-~~),
 librust-serde-yaml-0.8+default-dev,
 librust-toml-0.5+default-dev
Provides:
 librust-insta+default-dev (= ${binary:Version}),
 librust-insta-1-dev (= ${binary:Version}),
 librust-insta-1+default-dev (= ${binary:Version}),
 librust-insta-1.3-dev (= ${binary:Version}),
 librust-insta-1.3+default-dev (= ${binary:Version}),
 librust-insta-1.3.0-dev (= ${binary:Version}),
 librust-insta-1.3.0+default-dev (= ${binary:Version})
Description: Snapshot testing library for Rust - Rust source code
 This package contains the source for the Rust insta crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.3.0 --all-targets --all-features
Features: test-name=rust-insta:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.3.0 --all-targets 
Features: test-name=librust-insta-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.3.0 --all-targets --no-default-features
Features: test-name=librust-insta-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-insta 1.5.2

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,4 @@
 	@rustup component add clippy 2> /dev/null
 	@cargo clippy
 
-update-readme:
-	@cargo readme | perl -pe 's/\[`(.*?)`]/`$$1`/g' | perl -pe 's/\[(.*?)\](?![(])/$$1/g' > README.md
-	@cd cargo-insta; cargo readme > README.md
-
 .PHONY: all doc test cargotest format format-check lint update-readme

=== debian/changelog ===
rust-insta (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * Package insta 1.5.2 from crates.io using debcargo 2.5.0
  * Bump dependency on uuid to 1.0

 -- Peter Michael Green <plugwash@debian.org>  Mon, 15 Aug 2022 00:16:34 +0000

rust-insta (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * Package insta 1.5.2 from crates.io using debcargo 2.5.0
    + Newer upstream releases require similar crate which is not currently
      in Debian.
  * Drop collapse_features.patch, not needed and likely to cause breakage.
  * Adjust relax-deps.patch for new upstream and current situation in Debian.
  * Disable test_format_rust_expression, it fails with Debian's version of
    rustfmt
  * Stop marking tests as broken.

  [ kpcryd ]
  * Bump console dependency patch

 -- Peter Michael Green <plugwash@debian.org>  Sun, 10 Jul 2022 00:23:06 +0000

=== debian/control ===
Source: rust-insta
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-console-0.15-dev <!nocheck>,
 librust-difference-2+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.117-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.117-~~) <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.59-~~) <!nocheck>,
 librust-serde-yaml-0.8+default-dev (>= 0.8.14-~~) <!nocheck>,
 librust-uuid-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/insta]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/insta
Homepage: https://insta.rs/
Rules-Requires-Root: no

Package: librust-insta-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-backtrace-0.3+default-dev (>= 0.3.44-~~),
 librust-console-0.15-dev,
 librust-csv-1+default-dev (>= 1.1.4-~~),
 librust-difference-2+default-dev,
 librust-globset-0.4+default-dev (>= 0.4.6-~~),
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-pest-2+default-dev (>= 2.1.2-~~),
 librust-pest-derive-2+default-dev (>= 2.1.0-~~),
 librust-ron-0.6+default-dev (>= 0.6.2-~~),
 librust-serde-1+default-dev (>= 1.0.117-~~),
 librust-serde-1+derive-dev (>= 1.0.117-~~),
 librust-serde-json-1+default-dev (>= 1.0.59-~~),
 librust-serde-yaml-0.8+default-dev (>= 0.8.14-~~),
 librust-toml-0.5+default-dev (>= 0.5.7-~~),
 librust-uuid-1+default-dev,
 librust-walkdir-2+default-dev (>= 2.3.1-~~)
Provides:
 librust-insta+backtrace-dev (= ${binary:Version}),
 librust-insta+colors-dev (= ${binary:Version}),
 librust-insta+console-dev (= ${binary:Version}),
 librust-insta+csv-dev (= ${binary:Version}),
 librust-insta+default-dev (= ${binary:Version}),
 librust-insta+glob-dev (= ${binary:Version}),
 librust-insta+globset-dev (= ${binary:Version}),
 librust-insta+pest-dev (= ${binary:Version}),
 librust-insta+pest-derive-dev (= ${binary:Version}),
 librust-insta+redactions-dev (= ${binary:Version}),
 librust-insta+ron-dev (= ${binary:Version}),
 librust-insta+serialization-dev (= ${binary:Version}),
 librust-insta+toml-dev (= ${binary:Version}),
 librust-insta+walkdir-dev (= ${binary:Version}),
 librust-insta-1-dev (= ${binary:Version}),
 librust-insta-1+backtrace-dev (= ${binary:Version}),
 librust-insta-1+colors-dev (= ${binary:Version}),
 librust-insta-1+console-dev (= ${binary:Version}),
 librust-insta-1+csv-dev (= ${binary:Version}),
 librust-insta-1+default-dev (= ${binary:Version}),
 librust-insta-1+glob-dev (= ${binary:Version}),
 librust-insta-1+globset-dev (= ${binary:Version}),
 librust-insta-1+pest-dev (= ${binary:Version}),
 librust-insta-1+pest-derive-dev (= ${binary:Version}),
 librust-insta-1+redactions-dev (= ${binary:Version}),
 librust-insta-1+ron-dev (= ${binary:Version}),
 librust-insta-1+serialization-dev (= ${binary:Version}),
 librust-insta-1+toml-dev (= ${binary:Version}),
 librust-insta-1+walkdir-dev (= ${binary:Version}),
 librust-insta-1.5-dev (= ${binary:Version}),
 librust-insta-1.5+backtrace-dev (= ${binary:Version}),
 librust-insta-1.5+colors-dev (= ${binary:Version}),
 librust-insta-1.5+console-dev (= ${binary:Version}),
 librust-insta-1.5+csv-dev (= ${binary:Version}),
 librust-insta-1.5+default-dev (= ${binary:Version}),
 librust-insta-1.5+glob-dev (= ${binary:Version}),
 librust-insta-1.5+globset-dev (= ${binary:Version}),
 librust-insta-1.5+pest-dev (= ${binary:Version}),
 librust-insta-1.5+pest-derive-dev (= ${binary:Version}),
 librust-insta-1.5+redactions-dev (= ${binary:Version}),
 librust-insta-1.5+ron-dev (= ${binary:Version}),
 librust-insta-1.5+serialization-dev (= ${binary:Version}),
 librust-insta-1.5+toml-dev (= ${binary:Version}),
 librust-insta-1.5+walkdir-dev (= ${binary:Version}),
 librust-insta-1.5.2-dev (= ${binary:Version}),
 librust-insta-1.5.2+backtrace-dev (= ${binary:Version}),
 librust-insta-1.5.2+colors-dev (= ${binary:Version}),
 librust-insta-1.5.2+console-dev (= ${binary:Version}),
 librust-insta-1.5.2+csv-dev (= ${binary:Version}),
 librust-insta-1.5.2+default-dev (= ${binary:Version}),
 librust-insta-1.5.2+glob-dev (= ${binary:Version}),
 librust-insta-1.5.2+globset-dev (= ${binary:Version}),
 librust-insta-1.5.2+pest-dev (= ${binary:Version}),
 librust-insta-1.5.2+pest-derive-dev (= ${binary:Version}),
 librust-insta-1.5.2+redactions-dev (= ${binary:Version}),
 librust-insta-1.5.2+ron-dev (= ${binary:Version}),
 librust-insta-1.5.2+serialization-dev (= ${binary:Version}),
 librust-insta-1.5.2+toml-dev (= ${binary:Version}),
 librust-insta-1.5.2+walkdir-dev (= ${binary:Version})
Description: Snapshot testing library for Rust - Rust source code
 This package contains the source for the Rust insta crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --all-features
Features: test-name=rust-insta:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features backtrace
Features: test-name=librust-insta-dev:backtrace
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features colors
Features: test-name=librust-insta-dev:colors
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features console
Features: test-name=librust-insta-dev:console
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features csv
Features: test-name=librust-insta-dev:csv
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets 
Features: test-name=librust-insta-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features glob
Features: test-name=librust-insta-dev:glob
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features globset
Features: test-name=librust-insta-dev:globset
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features pest
Features: test-name=librust-insta-dev:pest
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features pest_derive
Features: test-name=librust-insta-dev:pest_derive
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features redactions
Features: test-name=librust-insta-dev:redactions
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features ron
Features: test-name=librust-insta-dev:ron
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.5.2 --all-targets --no-default-features --features serialization

## rust-insta 1.21.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	@cargo build --all-features
 
 doc:
-	@cargo doc --all-features
+	@RUSTC_BOOTSTRAP=1 RUSTDOCFLAGS="--cfg=docsrs" cargo doc --no-deps --all-features
 
 test: cargotest cargo-insta-tests
 
@@ -18,8 +18,15 @@
 	@cargo test
 	@cargo test --all-features
 	@cargo test --no-default-features
-	@cargo test --features redactions,backtrace -- --test-threads 1
+	@cargo test --features redactions -- --test-threads 1
 	@cd cargo-insta; cargo test
+
+check-minver:
+	@echo "MINVER CHECK"
+	@cargo minimal-versions check
+	@cargo minimal-versions check --all-features
+	@cargo minimal-versions check --no-default-features
+	@cargo minimal-versions check --features redactions
 
 format:
 	@rustup component add rustfmt 2> /dev/null

=== debian/changelog ===
rust-insta (1.21.0-1) unstable; urgency=medium

  * Team upload.
  * Package insta 1.21.0 from crates.io using debcargo 2.5.0 (Closes: #1021878)
  * Update patches for new upstream and current situation in Debian.
  * Mark test_glob.rs as needing json feature as well as glob feature.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 18 Oct 2022 03:44:48 +0000

=== debian/control ===
Source: rust-insta
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-console-0.15-dev (>= 0.15.2-~~) <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
 librust-linked-hash-map-0.5+default-dev (>= 0.5.6-~~) <!nocheck>,
 librust-similar-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-similar-2+inline-dev (>= 2.1.0-~~) <!nocheck>,
 librust-yaml-rust-0.4+default-dev (>= 0.4.5-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/insta]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/insta
Homepage: https://insta.rs/
Rules-Requires-Root: no

Package: librust-insta-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-console-0.15-dev (>= 0.15.2-~~),
 librust-csv-1+default-dev (>= 1.1.4-~~),
 librust-globset-0.4+default-dev (>= 0.4.6-~~),
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-linked-hash-map-0.5+default-dev (>= 0.5.6-~~),
 librust-pest-2+default-dev (>= 2.1.2-~~),
 librust-pest-derive-2+default-dev (>= 2.1.0-~~),
 librust-regex-1+std-dev (>= 1.6.0-~~),
 librust-regex-1+unicode-dev (>= 1.6.0-~~),
 librust-ron-0.7+default-dev (>= 0.7.1-~~),
 librust-serde-1+default-dev (>= 1.0.117-~~),
 librust-similar-2+default-dev (>= 2.1.0-~~),
 librust-similar-2+inline-dev (>= 2.1.0-~~),
 librust-toml-0.5+default-dev (>= 0.5.7-~~),
 librust-walkdir-2+default-dev (>= 2.3.1-~~),
 librust-yaml-rust-0.4+default-dev (>= 0.4.5-~~)
Provides:
 librust-insta+colors-dev (= ${binary:Version}),
 librust-insta+console-dev (= ${binary:Version}),
 librust-insta+csv-dev (= ${binary:Version}),
 librust-insta+default-dev (= ${binary:Version}),
 librust-insta+dep-csv-dev (= ${binary:Version}),
 librust-insta+dep-ron-dev (= ${binary:Version}),
 librust-insta+dep-toml-dev (= ${binary:Version}),
 librust-insta+filters-dev (= ${binary:Version}),
 librust-insta+glob-dev (= ${binary:Version}),
 librust-insta+globset-dev (= ${binary:Version}),
 librust-insta+json-dev (= ${binary:Version}),
 librust-insta+pest-dev (= ${binary:Version}),
 librust-insta+pest-derive-dev (= ${binary:Version}),
 librust-insta+redactions-dev (= ${binary:Version}),
 librust-insta+regex-dev (= ${binary:Version}),
 librust-insta+ron-dev (= ${binary:Version}),
 librust-insta+serde-dev (= ${binary:Version}),
 librust-insta+toml-dev (= ${binary:Version}),
 librust-insta+walkdir-dev (= ${binary:Version}),
 librust-insta+yaml-dev (= ${binary:Version}),
 librust-insta-1-dev (= ${binary:Version}),
 librust-insta-1+colors-dev (= ${binary:Version}),
 librust-insta-1+console-dev (= ${binary:Version}),
 librust-insta-1+csv-dev (= ${binary:Version}),
 librust-insta-1+default-dev (= ${binary:Version}),
 librust-insta-1+dep-csv-dev (= ${binary:Version}),
 librust-insta-1+dep-ron-dev (= ${binary:Version}),
 librust-insta-1+dep-toml-dev (= ${binary:Version}),
 librust-insta-1+filters-dev (= ${binary:Version}),
 librust-insta-1+glob-dev (= ${binary:Version}),
 librust-insta-1+globset-dev (= ${binary:Version}),
 librust-insta-1+json-dev (= ${binary:Version}),
 librust-insta-1+pest-dev (= ${binary:Version}),
 librust-insta-1+pest-derive-dev (= ${binary:Version}),
 librust-insta-1+redactions-dev (= ${binary:Version}),
 librust-insta-1+regex-dev (= ${binary:Version}),
 librust-insta-1+ron-dev (= ${binary:Version}),
 librust-insta-1+serde-dev (= ${binary:Version}),
 librust-insta-1+toml-dev (= ${binary:Version}),
 librust-insta-1+walkdir-dev (= ${binary:Version}),
 librust-insta-1+yaml-dev (= ${binary:Version}),
 librust-insta-1.21-dev (= ${binary:Version}),
 librust-insta-1.21+colors-dev (= ${binary:Version}),
 librust-insta-1.21+console-dev (= ${binary:Version}),
 librust-insta-1.21+csv-dev (= ${binary:Version}),
 librust-insta-1.21+default-dev (= ${binary:Version}),
 librust-insta-1.21+dep-csv-dev (= ${binary:Version}),
 librust-insta-1.21+dep-ron-dev (= ${binary:Version}),
 librust-insta-1.21+dep-toml-dev (= ${binary:Version}),
 librust-insta-1.21+filters-dev (= ${binary:Version}),
 librust-insta-1.21+glob-dev (= ${binary:Version}),
 librust-insta-1.21+globset-dev (= ${binary:Version}),
 librust-insta-1.21+json-dev (= ${binary:Version}),
 librust-insta-1.21+pest-dev (= ${binary:Version}),
 librust-insta-1.21+pest-derive-dev (= ${binary:Version}),
 librust-insta-1.21+redactions-dev (= ${binary:Version}),
 librust-insta-1.21+regex-dev (= ${binary:Version}),
 librust-insta-1.21+ron-dev (= ${binary:Version}),
 librust-insta-1.21+serde-dev (= ${binary:Version}),
 librust-insta-1.21+toml-dev (= ${binary:Version}),
 librust-insta-1.21+walkdir-dev (= ${binary:Version}),
 librust-insta-1.21+yaml-dev (= ${binary:Version}),
 librust-insta-1.21.0-dev (= ${binary:Version}),
 librust-insta-1.21.0+colors-dev (= ${binary:Version}),
 librust-insta-1.21.0+console-dev (= ${binary:Version}),
 librust-insta-1.21.0+csv-dev (= ${binary:Version}),
 librust-insta-1.21.0+default-dev (= ${binary:Version}),
 librust-insta-1.21.0+dep-csv-dev (= ${binary:Version}),
 librust-insta-1.21.0+dep-ron-dev (= ${binary:Version}),
 librust-insta-1.21.0+dep-toml-dev (= ${binary:Version}),
 librust-insta-1.21.0+filters-dev (= ${binary:Version}),
 librust-insta-1.21.0+glob-dev (= ${binary:Version}),
 librust-insta-1.21.0+globset-dev (= ${binary:Version}),
 librust-insta-1.21.0+json-dev (= ${binary:Version}),
 librust-insta-1.21.0+pest-dev (= ${binary:Version}),
 librust-insta-1.21.0+pest-derive-dev (= ${binary:Version}),
 librust-insta-1.21.0+redactions-dev (= ${binary:Version}),
 librust-insta-1.21.0+regex-dev (= ${binary:Version}),
 librust-insta-1.21.0+ron-dev (= ${binary:Version}),
 librust-insta-1.21.0+serde-dev (= ${binary:Version}),
 librust-insta-1.21.0+toml-dev (= ${binary:Version}),
 librust-insta-1.21.0+walkdir-dev (= ${binary:Version}),
 librust-insta-1.21.0+yaml-dev (= ${binary:Version})
Description: Snapshot testing library for Rust - Rust source code
 This package contains the source for the Rust insta crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets --all-features
Features: test-name=rust-insta:@
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets --no-default-features --features colors
Features: test-name=librust-insta-dev:colors
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets --no-default-features --features console
Features: test-name=librust-insta-dev:console
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets --no-default-features --features csv
Features: test-name=librust-insta-dev:csv
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets 
Features: test-name=librust-insta-dev:default
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets --no-default-features --features dep_csv
Features: test-name=librust-insta-dev:dep_csv
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets --no-default-features --features dep_ron
Features: test-name=librust-insta-dev:dep_ron
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.21.0 --all-targets --no-default-features --features dep_toml
Features: test-name=librust-insta-dev:dep_toml
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-insta 1.34.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,9 @@
 
 cargo-insta-tests:
 	@echo "CARGO-INSTA INTEGRATION TESTS"
-	@cd cargo-insta/integration-tests; cargo run
+	# Turn off CI flag so that cargo insta test behaves as we expect
+	# under normal operation
+	@CI=0 cargo test -p integration-tests
 
 cargotest:
 	@echo "CARGO TESTS"
@@ -19,7 +21,7 @@
 	@cargo test --all-features
 	@cargo test --no-default-features
 	@cargo test --features redactions -- --test-threads 1
-	@cd cargo-insta; cargo test
+	@cargo test -p cargo-insta
 
 check-minver:
 	@echo "MINVER CHECK"
@@ -38,6 +40,6 @@
 
 lint:
 	@rustup component add clippy 2> /dev/null
-	@cargo clippy
+	@cargo clippy --all-targets --workspace -- --deny warnings
 
 .PHONY: all doc test cargotest format format-check lint update-readme

=== debian/changelog ===
rust-insta (1.34.0-1) unstable; urgency=medium

  * Team upload.
  * Package insta 1.34.0 from crates.io using debcargo 2.6.1 (Closes: #1056660)
  * Update fix-glob-test-feature-requirement.patch for new upstream.
  * Unpin csv dependency, upstream pinned it for msrv related reasons which are
    not relavent to Debian.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 30 Nov 2023 23:45:20 +0000

=== debian/control ===
Source: rust-insta
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.51.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-console-0.15-dev (>= 0.15.4-~~) <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
 librust-linked-hash-map-0.5+default-dev (>= 0.5.6-~~) <!nocheck>,
 librust-similar-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-similar-2+inline-dev (>= 2.1.0-~~) <!nocheck>,
 librust-yaml-rust-0.4+default-dev (>= 0.4.5-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Henry-Nicolas Tourneur <debian@nilux.be>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/insta]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/insta
Homepage: https://insta.rs/
X-Cargo-Crate: insta
Rules-Requires-Root: no

Package: librust-insta-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-console-0.15-dev (>= 0.15.4-~~),
 librust-csv-1+default-dev (>= 1.1.6-~~),
 librust-globset-0.4+default-dev (>= 0.4.6-~~),
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-linked-hash-map-0.5+default-dev (>= 0.5.6-~~),
 librust-pest-2+default-dev (>= 2.1.2-~~),
 librust-pest-derive-2+default-dev (>= 2.1.0-~~),
 librust-regex-1+std-dev (>= 1.6.0-~~),
 librust-regex-1+unicode-dev (>= 1.6.0-~~),
 librust-ron-0.7+default-dev (>= 0.7.1-~~),
 librust-serde-1+default-dev (>= 1.0.117-~~),
 librust-similar-2+default-dev (>= 2.1.0-~~),
 librust-similar-2+inline-dev (>= 2.1.0-~~),
 librust-toml-0.5+default-dev (>= 0.5.7-~~),
 librust-walkdir-2+default-dev (>= 2.3.1-~~),
 librust-yaml-rust-0.4+default-dev (>= 0.4.5-~~)
Provides:
 librust-insta+-cargo-insta-internal-dev (= ${binary:Version}),
 librust-insta+colors-dev (= ${binary:Version}),
 librust-insta+console-dev (= ${binary:Version}),
 librust-insta+csv-dev (= ${binary:Version}),
 librust-insta+default-dev (= ${binary:Version}),
 librust-insta+dep-csv-dev (= ${binary:Version}),
 librust-insta+dep-ron-dev (= ${binary:Version}),
 librust-insta+dep-toml-dev (= ${binary:Version}),
 librust-insta+filters-dev (= ${binary:Version}),
 librust-insta+glob-dev (= ${binary:Version}),
 librust-insta+globset-dev (= ${binary:Version}),
 librust-insta+json-dev (= ${binary:Version}),
 librust-insta+pest-dev (= ${binary:Version}),
 librust-insta+pest-derive-dev (= ${binary:Version}),
 librust-insta+redactions-dev (= ${binary:Version}),
 librust-insta+regex-dev (= ${binary:Version}),
 librust-insta+ron-dev (= ${binary:Version}),
 librust-insta+serde-dev (= ${binary:Version}),
 librust-insta+toml-dev (= ${binary:Version}),
 librust-insta+walkdir-dev (= ${binary:Version}),
 librust-insta+yaml-dev (= ${binary:Version}),
 librust-insta-1-dev (= ${binary:Version}),
 librust-insta-1+-cargo-insta-internal-dev (= ${binary:Version}),
 librust-insta-1+colors-dev (= ${binary:Version}),
 librust-insta-1+console-dev (= ${binary:Version}),
 librust-insta-1+csv-dev (= ${binary:Version}),
 librust-insta-1+default-dev (= ${binary:Version}),
 librust-insta-1+dep-csv-dev (= ${binary:Version}),
 librust-insta-1+dep-ron-dev (= ${binary:Version}),
 librust-insta-1+dep-toml-dev (= ${binary:Version}),
 librust-insta-1+filters-dev (= ${binary:Version}),
 librust-insta-1+glob-dev (= ${binary:Version}),
 librust-insta-1+globset-dev (= ${binary:Version}),
 librust-insta-1+json-dev (= ${binary:Version}),
 librust-insta-1+pest-dev (= ${binary:Version}),
 librust-insta-1+pest-derive-dev (= ${binary:Version}),
 librust-insta-1+redactions-dev (= ${binary:Version}),
 librust-insta-1+regex-dev (= ${binary:Version}),
 librust-insta-1+ron-dev (= ${binary:Version}),
 librust-insta-1+serde-dev (= ${binary:Version}),
 librust-insta-1+toml-dev (= ${binary:Version}),
 librust-insta-1+walkdir-dev (= ${binary:Version}),
 librust-insta-1+yaml-dev (= ${binary:Version}),
 librust-insta-1.34-dev (= ${binary:Version}),
 librust-insta-1.34+-cargo-insta-internal-dev (= ${binary:Version}),
 librust-insta-1.34+colors-dev (= ${binary:Version}),
 librust-insta-1.34+console-dev (= ${binary:Version}),
 librust-insta-1.34+csv-dev (= ${binary:Version}),
 librust-insta-1.34+default-dev (= ${binary:Version}),
 librust-insta-1.34+dep-csv-dev (= ${binary:Version}),
 librust-insta-1.34+dep-ron-dev (= ${binary:Version}),
 librust-insta-1.34+dep-toml-dev (= ${binary:Version}),
 librust-insta-1.34+filters-dev (= ${binary:Version}),
 librust-insta-1.34+glob-dev (= ${binary:Version}),
 librust-insta-1.34+globset-dev (= ${binary:Version}),
 librust-insta-1.34+json-dev (= ${binary:Version}),
 librust-insta-1.34+pest-dev (= ${binary:Version}),
 librust-insta-1.34+pest-derive-dev (= ${binary:Version}),
 librust-insta-1.34+redactions-dev (= ${binary:Version}),
 librust-insta-1.34+regex-dev (= ${binary:Version}),
 librust-insta-1.34+ron-dev (= ${binary:Version}),
 librust-insta-1.34+serde-dev (= ${binary:Version}),
 librust-insta-1.34+toml-dev (= ${binary:Version}),
 librust-insta-1.34+walkdir-dev (= ${binary:Version}),
 librust-insta-1.34+yaml-dev (= ${binary:Version}),
 librust-insta-1.34.0-dev (= ${binary:Version}),
 librust-insta-1.34.0+-cargo-insta-internal-dev (= ${binary:Version}),
 librust-insta-1.34.0+colors-dev (= ${binary:Version}),
 librust-insta-1.34.0+console-dev (= ${binary:Version}),
 librust-insta-1.34.0+csv-dev (= ${binary:Version}),
 librust-insta-1.34.0+default-dev (= ${binary:Version}),
 librust-insta-1.34.0+dep-csv-dev (= ${binary:Version}),
 librust-insta-1.34.0+dep-ron-dev (= ${binary:Version}),
 librust-insta-1.34.0+dep-toml-dev (= ${binary:Version}),
 librust-insta-1.34.0+filters-dev (= ${binary:Version}),
 librust-insta-1.34.0+glob-dev (= ${binary:Version}),
 librust-insta-1.34.0+globset-dev (= ${binary:Version}),
 librust-insta-1.34.0+json-dev (= ${binary:Version}),
 librust-insta-1.34.0+pest-dev (= ${binary:Version}),
 librust-insta-1.34.0+pest-derive-dev (= ${binary:Version}),
 librust-insta-1.34.0+redactions-dev (= ${binary:Version}),
 librust-insta-1.34.0+regex-dev (= ${binary:Version}),
 librust-insta-1.34.0+ron-dev (= ${binary:Version}),
 librust-insta-1.34.0+serde-dev (= ${binary:Version}),
 librust-insta-1.34.0+toml-dev (= ${binary:Version}),
 librust-insta-1.34.0+walkdir-dev (= ${binary:Version}),
 librust-insta-1.34.0+yaml-dev (= ${binary:Version})
Description: Snapshot testing library for Rust - Rust source code
 Source code for Debianized Rust crate "insta"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets --all-features
Features: test-name=rust-insta:@
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets --no-default-features --features _cargo_insta_internal
Features: test-name=librust-insta-dev:_cargo_insta_internal
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets --no-default-features --features colors
Features: test-name=librust-insta-dev:colors
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets --no-default-features --features console
Features: test-name=librust-insta-dev:console
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets --no-default-features --features csv
Features: test-name=librust-insta-dev:csv
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets
Features: test-name=librust-insta-dev:default
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets --no-default-features --features dep_csv
Features: test-name=librust-insta-dev:dep_csv
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.34.0 --all-targets --no-default-features --features dep_ron
Features: test-name=librust-insta-dev:dep_ron
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @

## rust-insta 1.39.0

=== debian/changelog ===
rust-insta (1.39.0-1) unstable; urgency=medium

  * Team upload.
  * Package insta 1.39.0 from crates.io using debcargo 2.6.1

 -- Peter Michael Green <plugwash@debian.org>  Tue, 13 Aug 2024 17:36:09 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
  librust-linked-hash-map-0.5+default-dev (>= 0.5.6-~~) <!nocheck>,
  librust-similar-2+default-dev (>= 2.1.0-~~) <!nocheck>,
- librust-similar-2+inline-dev (>= 2.1.0-~~) <!nocheck>,
- librust-yaml-rust-0.4+default-dev (>= 0.4.5-~~) <!nocheck>
+ librust-similar-2+inline-dev (>= 2.1.0-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Henry-Nicolas Tourneur <debian@nilux.be>
@@ -41,8 +40,7 @@
  librust-similar-2+default-dev (>= 2.1.0-~~),
  librust-similar-2+inline-dev (>= 2.1.0-~~),
  librust-toml-0.5+default-dev (>= 0.5.7-~~),
- librust-walkdir-2+default-dev (>= 2.3.1-~~),
- librust-yaml-rust-0.4+default-dev (>= 0.4.5-~~)
+ librust-walkdir-2+default-dev (>= 2.3.1-~~)
 Provides:
  librust-insta+-cargo-insta-internal-dev (= ${binary:Version}),
  librust-insta+colors-dev (= ${binary:Version}),
@@ -87,49 +85,49 @@
  librust-insta-1+toml-dev (= ${binary:Version}),
  librust-insta-1+walkdir-dev (= ${binary:Version}),
  librust-insta-1+yaml-dev (= ${binary:Version}),
- librust-insta-1.34-dev (= ${binary:Version}),
- librust-insta-1.34+-cargo-insta-internal-dev (= ${binary:Version}),
- librust-insta-1.34+colors-dev (= ${binary:Version}),
- librust-insta-1.34+console-dev (= ${binary:Version}),
- librust-insta-1.34+csv-dev (= ${binary:Version}),
- librust-insta-1.34+default-dev (= ${binary:Version}),
- librust-insta-1.34+dep-csv-dev (= ${binary:Version}),
- librust-insta-1.34+dep-ron-dev (= ${binary:Version}),
- librust-insta-1.34+dep-toml-dev (= ${binary:Version}),
- librust-insta-1.34+filters-dev (= ${binary:Version}),
- librust-insta-1.34+glob-dev (= ${binary:Version}),
- librust-insta-1.34+globset-dev (= ${binary:Version}),
- librust-insta-1.34+json-dev (= ${binary:Version}),
- librust-insta-1.34+pest-dev (= ${binary:Version}),
- librust-insta-1.34+pest-derive-dev (= ${binary:Version}),
- librust-insta-1.34+redactions-dev (= ${binary:Version}),
- librust-insta-1.34+regex-dev (= ${binary:Version}),
- librust-insta-1.34+ron-dev (= ${binary:Version}),
- librust-insta-1.34+serde-dev (= ${binary:Version}),
- librust-insta-1.34+toml-dev (= ${binary:Version}),
- librust-insta-1.34+walkdir-dev (= ${binary:Version}),
- librust-insta-1.34+yaml-dev (= ${binary:Version}),
- librust-insta-1.34.0-dev (= ${binary:Version}),
- librust-insta-1.34.0+-cargo-insta-internal-dev (= ${binary:Version}),
- librust-insta-1.34.0+colors-dev (= ${binary:Version}),
- librust-insta-1.34.0+console-dev (= ${binary:Version}),
- librust-insta-1.34.0+csv-dev (= ${binary:Version}),
- librust-insta-1.34.0+default-dev (= ${binary:Version}),
- librust-insta-1.34.0+dep-csv-dev (= ${binary:Version}),
- librust-insta-1.34.0+dep-ron-dev (= ${binary:Version}),
- librust-insta-1.34.0+dep-toml-dev (= ${binary:Version}),
- librust-insta-1.34.0+filters-dev (= ${binary:Version}),
- librust-insta-1.34.0+glob-dev (= ${binary:Version}),
- librust-insta-1.34.0+globset-dev (= ${binary:Version}),
- librust-insta-1.34.0+json-dev (= ${binary:Version}),
- librust-insta-1.34.0+pest-dev (= ${binary:Version}),
- librust-insta-1.34.0+pest-derive-dev (= ${binary:Version}),
- librust-insta-1.34.0+redactions-dev (= ${binary:Version}),
- librust-insta-1.34.0+regex-dev (= ${binary:Version}),
- librust-insta-1.34.0+ron-dev (= ${binary:Version}),
- librust-insta-1.34.0+serde-dev (= ${binary:Version}),
- librust-insta-1.34.0+toml-dev (= ${binary:Version}),
- librust-insta-1.34.0+walkdir-dev (= ${binary:Version}),
- librust-insta-1.34.0+yaml-dev (= ${binary:Version})
+ librust-insta-1.39-dev (= ${binary:Version}),
+ librust-insta-1.39+-cargo-insta-internal-dev (= ${binary:Version}),
+ librust-insta-1.39+colors-dev (= ${binary:Version}),
+ librust-insta-1.39+console-dev (= ${binary:Version}),
+ librust-insta-1.39+csv-dev (= ${binary:Version}),
+ librust-insta-1.39+default-dev (= ${binary:Version}),
+ librust-insta-1.39+dep-csv-dev (= ${binary:Version}),
+ librust-insta-1.39+dep-ron-dev (= ${binary:Version}),
+ librust-insta-1.39+dep-toml-dev (= ${binary:Version}),
+ librust-insta-1.39+filters-dev (= ${binary:Version}),
+ librust-insta-1.39+glob-dev (= ${binary:Version}),
+ librust-insta-1.39+globset-dev (= ${binary:Version}),
+ librust-insta-1.39+json-dev (= ${binary:Version}),
+ librust-insta-1.39+pest-dev (= ${binary:Version}),
+ librust-insta-1.39+pest-derive-dev (= ${binary:Version}),
+ librust-insta-1.39+redactions-dev (= ${binary:Version}),
+ librust-insta-1.39+regex-dev (= ${binary:Version}),
+ librust-insta-1.39+ron-dev (= ${binary:Version}),
+ librust-insta-1.39+serde-dev (= ${binary:Version}),
+ librust-insta-1.39+toml-dev (= ${binary:Version}),
+ librust-insta-1.39+walkdir-dev (= ${binary:Version}),
+ librust-insta-1.39+yaml-dev (= ${binary:Version}),
+ librust-insta-1.39.0-dev (= ${binary:Version}),
+ librust-insta-1.39.0+-cargo-insta-internal-dev (= ${binary:Version}),
+ librust-insta-1.39.0+colors-dev (= ${binary:Version}),
+ librust-insta-1.39.0+console-dev (= ${binary:Version}),
+ librust-insta-1.39.0+csv-dev (= ${binary:Version}),
+ librust-insta-1.39.0+default-dev (= ${binary:Version}),
+ librust-insta-1.39.0+dep-csv-dev (= ${binary:Version}),
+ librust-insta-1.39.0+dep-ron-dev (= ${binary:Version}),
+ librust-insta-1.39.0+dep-toml-dev (= ${binary:Version}),
+ librust-insta-1.39.0+filters-dev (= ${binary:Version}),
+ librust-insta-1.39.0+glob-dev (= ${binary:Version}),
+ librust-insta-1.39.0+globset-dev (= ${binary:Version}),
+ librust-insta-1.39.0+json-dev (= ${binary:Version}),
+ librust-insta-1.39.0+pest-dev (= ${binary:Version}),
+ librust-insta-1.39.0+pest-derive-dev (= ${binary:Version}),
+ librust-insta-1.39.0+redactions-dev (= ${binary:Version}),
+ librust-insta-1.39.0+regex-dev (= ${binary:Version}),
+ librust-insta-1.39.0+ron-dev (= ${binary:Version}),
+ librust-insta-1.39.0+serde-dev (= ${binary:Version}),
+ librust-insta-1.39.0+toml-dev (= ${binary:Version}),
+ librust-insta-1.39.0+walkdir-dev (= ${binary:Version}),
+ librust-insta-1.39.0+yaml-dev (= ${binary:Version})
 Description: Snapshot testing library for Rust - Rust source code
  Source code for Debianized Rust crate "insta"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.39.0 --all-targets --all-features
Features: test-name=rust-insta:@
Depends: dh-cargo (>= 18), librust-rustc-version-0.4+default-dev, librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.39.0 --all-targets --no-default-features --features _cargo_insta_internal
Features: test-name=librust-insta-dev:_cargo_insta_internal
Depends: dh-cargo (>= 18), librust-rustc-version-0.4+default-dev, librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.39.0 --all-targets --no-default-features --features colors
Features: test-name=librust-insta-dev:colors
Depends: dh-cargo (>= 18), librust-rustc-version-0.4+default-dev, librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.39.0 --all-targets --no-default-features --features console
Features: test-name=librust-insta-dev:console
Depends: dh-cargo (>= 18), librust-rustc-version-0.4+default-dev, librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.39.0 --all-targets --no-default-features --features csv
Features: test-name=librust-insta-dev:csv
Depends: dh-cargo (>= 18), librust-rustc-version-0.4+default-dev, librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.39.0 --all-targets
Features: test-name=librust-insta-dev:default
Depends: dh-cargo (>= 18), librust-rustc-version-0.4+default-dev, librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test insta 1.39.0 --all-targets --no-default-features --features dep_csv
Features: test-name=librust-insta-dev:dep_csv
Depends: dh-cargo (>= 18), librust-rustc-version-0.4+default-dev, librust-serde-1+default-dev (>= 1.0.117-~~), librust-serde-1+derive-dev (>= 1.0.117-~~), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/insta-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/insta .*/crates/insta/@ANY_VERSION@/download
